eoQuadGenOp(3)

NAME
eoQuadGenOp - Wrapper for quadop: easy as pie.

SYNOPSIS

#include <eoGenOp.h>

Inherits eoGenOp< EOT >< EOT >.

  Public Member Functions
eoQuadGenOp (eoQuadOp< EOT > &_op)
unsigned max_production (void)
Max production is used to reserve space for all elements that are used by the operator, not setting it properly can result in a crash.
void apply (eoPopulator< EOT > &_pop)
the function that will do the work
virtual std::string className () const

  Private Attributes
eoQuadOp< EOT > & op

Detailed Description

  template<class EOT> class eoQuadGenOp< EOT >
Wrapper for quadop: easy as pie.

Definition at line 157 of file eoGenOp.h.

Author

Generated automatically by Doxygen for EO from the source code.